Loading...
Searching...
No Matches
BALL::VIEW::SDWidget Class Reference

`#include <BALL/VIEW/WIDGETS/SDWidget.h>`

Inheritance diagram for BALL::VIEW::SDWidget:

## Classes

struct | Option
| Option names. More...
struct | Default
| Default values for options. More...

## Public Member Functions

Constant Definitions
| SDWidget (QWidget *parent=0, bool show_hydrogens=false)
| SDWidget (const System &system, QWidget *parent=0)
virtual | ~SDWidget ()

## Public Attributes

Options | options
| options
System | system_
bool | resize_to_parent_
Vector3 | upper_
Vector3 | lower_
void | setDefaultOptions ()
void | plot (const System &system, bool create_sd=true)
System & | getSystem ()
const System & | getSystem () const
void | setSystem (const System &system)
void | clear ()
QSize | sizeHint () const
void | exportImage_ ()
void | setup_ ()
void | paintEvent (QPaintEvent *event)
void | renderSD_ (QPaintDevice *paint_device)
void | drawFrame_ ()
QPointF | getEndpoint_ (QRectF &character_boundary, QPointF from, QPointF to, bool character_is_from)

## Detailed Description

Definition at line 22 of file SDWidget.h.

## Constructor & Destructor Documentation

## SDWidget() [1/2]

BALL::VIEW::SDWidget::SDWidget | ( | QWidget * | parent = 0,
|  | bool | show_hydrogens = false )

## SDWidget() [2/2]

BALL::VIEW::SDWidget::SDWidget | ( | const System & | system,
|  | QWidget * | parent = 0 )

## ~SDWidget()

virtual BALL::VIEW::SDWidget::~SDWidget | ( |  | ) |

virtual

## Member Function Documentation

## clear()

void BALL::VIEW::SDWidget::clear | ( |  | ) |

## drawFrame_()

void BALL::VIEW::SDWidget::drawFrame_ | ( |  | ) |

protected

## exportImage_

void BALL::VIEW::SDWidget::exportImage_ | ( |  | ) |

protected slot

## getEndpoint_()

QPointF BALL::VIEW::SDWidget::getEndpoint_ | ( | QRectF & | character_boundary,
|  | QPointF | from,
|  | QPointF | to,
|  | bool | character_is_from )

protected

## getSystem() [1/2]

System & BALL::VIEW::SDWidget::getSystem | ( |  | ) |

inline

Definition at line 72 of file SDWidget.h.

## getSystem() [2/2]

const System & BALL::VIEW::SDWidget::getSystem | ( |  | ) | const

inline

Definition at line 75 of file SDWidget.h.

## paintEvent()

void BALL::VIEW::SDWidget::paintEvent | ( | QPaintEvent * | event | ) |

protected

## plot()

void BALL::VIEW::SDWidget::plot | ( | const System & | system,
|  | bool | create_sd = true )

## renderSD_()

void BALL::VIEW::SDWidget::renderSD_ | ( | QPaintDevice * | paint_device | ) |

protected

## setDefaultOptions()

void BALL::VIEW::SDWidget::setDefaultOptions | ( |  | ) |

Resets the options to default values.

## setSystem()

void BALL::VIEW::SDWidget::setSystem | ( | const System & | system | ) |

inline

Definition at line 78 of file SDWidget.h.

## setup_()

void BALL::VIEW::SDWidget::setup_ | ( |  | ) |

protected

## sizeHint()

QSize BALL::VIEW::SDWidget::sizeHint | ( |  | ) | const

## Member Data Documentation

## lower_

Vector3 BALL::VIEW::SDWidget::lower_

protected

Definition at line 101 of file SDWidget.h.

## options

Options BALL::VIEW::SDWidget::options

options

Definition at line 61 of file SDWidget.h.

## resize_to_parent_

bool BALL::VIEW::SDWidget::resize_to_parent_

protected

Definition at line 98 of file SDWidget.h.

## system_

System BALL::VIEW::SDWidget::system_

protected

Definition at line 96 of file SDWidget.h.

## upper_

Vector3 BALL::VIEW::SDWidget::upper_

protected

Definition at line 100 of file SDWidget.h.